/* Extended custom search blocks / elements */

/* Common */
.search-results-ext {}
.search-results-ext .searchboxRow {
  margin-bottom: 0.1rem;
  display: inline-block;
}
.search-results-ext .form-item-keywords {
  color: var(--charcoal);
  margin-bottom: 0.9rem;
}
.search-results-ext .form-submit {
  border: none;
  color: white;
  background-color: var(--dark-blue);
  cursor: pointer;
  padding: 0.0rem 0.75rem;
  height: 2.0rem;
  font-weight: bold;
  display: inline-block;
}
.search-results-ext .searchboxRow .input-container {
  display: inline-block;
}
.search-results-ext .searchboxRow .input-container label {
  display: block;
  color: var(--charcoal);
  font-weight: bold;
  font-size: 1rem;
}
.search-results-ext .searchboxRow .input-container .form-text {
  display: inline-block;
  height: 2.0rem;
  padding: 0 0.5rem;
  border: 1px solid grey;
}
.search-results-ext table {
  width: 100%;
}
.search-results-ext .search-results-table {
  border-collapse: collapse;
}
.search-results-ext:not(.variant-press_releases_general) .search-results-table-after {
  border-bottom: 0.125rem solid var(--gray);
  margin-top: 1rem;
}
.search-results-ext .search-results-table th {
  text-align: left;
  background-color: var(--medium-gray);
  padding: 0.25rem 0.5rem;
  white-space: nowrap;
}
.search-results-ext .search-results-table th a {
  color: white;
  text-decoration: none;
}
.search-results-ext .search-results-table td {
  padding: 0.5rem 0.5rem;
  vertical-align: top;
}
.search-results-ext .search-results-table tr:nth-of-type(even) td {
  background-color: var(--light-gray);
}
@media (max-width: 900px) {
  .search-results-ext .search-results-table thead {
    display: none;
  }
  .search-results-ext .search-results-table tbody tr {
    display: block;
    margin-bottom: 1rem;
  }
  .search-results-ext .search-results-table tbody tr td {
    display: block;
    padding: 0.25rem 0.5rem;
  }
  .adv-search {
    clear: both;
  }
  .search-results-ext .searchboxRow {
    display: inline;
  }
}
@media (max-width: 640px) {
  .search-results-ext .searchboxRow .form-submit {
    float: none;
    margin-top: 0.5rem;
  }
  .search-results-ext .form-item-keywords { 
    /*margin-top: 0.5rem;*/
  }
}

/* Advanced filters */
.adv-search {
  border: none;
  color: var(--charcoal);
}
.adv-search legend {
  padding: 0;
  font-weight: bold;
}
.adv-search legend a {
  text-decoration: none;
  color: var(--charcoal);
}
.adv-search .filter-container:after {
  content: " ";
  display: block;
  clear: both;
  margin-bottom: 0.5rem;
}
.adv-search .form-item label {
  width: 10rem;
  float: left;
  clear: left;
}
.adv-search .form-item .form-text {
  max-width: 20rem;
  width: 100%;
  float: left;
  border: 1px solid grey;
}
.adv-search .form-item .form-select {
  max-width: 20rem;
  float: left;
}
.adv-search .filter-container .select-all {
  float: left;
}
.adv-search .select-all label {
  width: auto;
  margin-left: 1rem;
  margin-right: 0.5rem;
}
@media (max-width: 900px) {
  .adv-search {
    padding: 0;
    margin: 1rem 0 1rem 0;
  }
  .adv-search .form-item select {
    width: 15rem;
  }
}

/* header sorting */
.search-results-ext .search-results-table th a.sortby {
  padding-right: 1.25rem;
  background-image: url(../images/sort-arrows-t.png);
  background-position: right center;
  background-size: auto 0.75rem;
  background-repeat: no-repeat;
}
.search-results-ext .search-results-table th a.sortby.desc {
  background-image: url(../images/sort-arrows-t-desc.png);
}

/* Paginator and status */
.search-results-ext .paginator-status {
  float: right;
  color: var(--charcoal);
  padding-top: 2rem;
  font-size: 0.9rem;
}
.search-results-ext .npp-wrapper {
  margin-top: 0.5rem;
}
.search-results-ext .form-item-npp {
  display: inline-block;
  vertical-align: middle;
}
.search-results-ext .npp-wrapper .form-submit {
  display: inline-block;
  vertical-align: middle;
}
.search-results-ext .npp-wrapper .form-select {
  height: 2rem;
}
.search-results-ext .npp-wrapper .form-item-npp .form-left {
  display: inline-block;
  margin-right: 0.5rem;
}
.search-results-ext .npp-wrapper .form-item-npp .form-right {
  display: inline-block;
}

/* Paginator */
.search-results-ext .paginator-status {
  float: right;
  color: var(--charcoal);
  padding-top: 2rem;
  font-size: 0.9rem;
}
.search-results-ext .paginator {
  text-align: center;
  margin-top: 1rem;
}
.search-results-ext .paginator .page {
  display: inline-block;
}
.search-results-ext .paginator .page a {
  text-decoration: none;
  padding: 0.1rem 0.5rem;
  color: var(--charcoal);
}
.search-results-ext .paginator .page.current a {
  font-weight: bold;
  color: white;
  background-color: var(--charcoal);
}
.search-results-ext .paginator .next-prev {
  display: inline-block;
  min-width: 4rem;
  margin-right: 0.5rem;
}
@media (max-width: 900px) {
  .search-results-ext .paginator-status {
    padding-top: 1.25rem;
  }
}

/* Variants */
.search-results-ext .search-results .search-result.general-thumbnail {
  margin: 0 0 1rem 0;
}
.search-results-ext .search-results .search-result.general-thumbnail:last-of-type {
  margin-bottom: 0;
}
.search-results-ext .search-results .search-result.general-thumbnail .thumbnail {
  display: block;
  float: left;
  width: 6rem;
  margin-right: 1rem;
}
.search-results-ext .search-results .search-result.general-thumbnail .right {
  float: left;
  text-align: left;
  width: calc(100% - 7rem);
}
.search-results-ext .search-results .search-result.general-thumbnail .right .date {
  font-size: 0.9rem;
  font-weight: bold;
}
.search-results-ext .search-results .search-result.general-thumbnail .right .title {
  font-size: 1.1rem;
}

/* The dd08 / thumb page variant */
.variant-thumb_page_listing_by_type .search-results {
  padding: 0;
  margin: 1rem 0 0 0;
  clear: both;
}
.variant-thumb_page_listing_by_type .search-results li {
  list-style: none;
}
.variant-thumb_page_listing_by_type .search-results li:nth-of-type(even) {
  background-color: var(--light-gray);
}
.variant-thumb_page_listing_by_type .search-results .thumb {
  display: inline-block;
  vertical-align: middle;
  width: 5rem;
  margin-right: 1rem;
}
.variant-thumb_page_listing_by_type .search-results .text {
  display: inline-block;
  vertical-align: middle;
  width: calc(100% - 6rem);
}
@media (max-width: 480px) {
  #Main ul.search-results {
    padding-left: 0;
  }
}